<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Tutorial: Signal selection and display</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Tutorial: Signal selection and display</h1>

    <section>

<header>
    

    <h2>Signal selection and display</h2>
</header>

<article>
    <!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Signal Sources and Oscilloscope</title>
  </head>
  <body>
    <p>
      The selection of the signal sources use the Web Audio API of the browser.
      The Web Audio API involves handling audio operations inside an audio context, and has been designed to allow 
      modular routing. Basic audio operations are performed with audio nodes, which are linked together to form an 
      audio routing graph. Several sources — with different types of channel layout — are supported even within a 
      single context. This modular design provides the flexibility to create complex audio functions with dynamic 
      effects.

      Audio nodes are linked into chains and simple webs by their inputs and outputs. They typically start with 
      one or more sources. Sources provide arrays of sound intensities (samples) at very small timeslices, often 
      tens of thousands of them per second. These could be either computed mathematically (such as OscillatorNode), 
      or they can be recordings from sound/video files (like AudioBufferSourceNode and MediaElementAudioSourceNode) 
      and audio streams (MediaStreamAudioSourceNode). In fact, sound files are just recordings of sound intensities 
      themselves, which come in from microphones or electric instruments, and get mixed down into a single, 
      complicated wave. 
    </p>
  </body>
</html>
</article>

</section>

</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-audio-element.html">audio-element</a></li><li><a href="module-handleModelData.html">handleModelData</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.startFileExample.html">startFileExample</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-calculator-tutorial.html">Calculator Tutorial</a></li><li><a href="tutorial-program-tutorial.html">Signal selection and display</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#express">express</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Thu Jul 08 2021 09:04:28 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>